Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List the direct parts of an element in the Composition hierarchy.

List the direct parts of an element in the Composition hierarchy. The parts are the elements the given element composes. Each node carries its whole (the given element), depth 1 and whether it has parts itself.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/architectureElements/{elementId}/hierarchy/children
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

Warehouse-Id

elementIdstringerforderlich

Logical id of the element

Antworten
200

The direct parts

nodesArchitectureHierarchyNode[]erforderlich
Eigenschaften anzeigen
Array von ArchitectureHierarchyNode
depthinteger<int32>erforderlich
elementBasicArchitectureElementerforderlich
Eigenschaften anzeigen
conceptualClassArchitectureElementTypeerforderlich
Erlaubt:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
createdHistoryerforderlich
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
elementIdstringerforderlich
hasPredecessorbooleanerforderlich
idstringerforderlich
layerArchitectureElementLayererforderlich
Erlaubt:ApplicationLayerBusinessLayerGenericLayerImplementationAndMigrationLayerMotivationElementsStrategyLayerTechnologyLayer
modifiedHistory
ownersEntityId[]erforderlich
Eigenschaften anzeigen
Array von EntityId
typeEntityIdTypeerforderlich
Erlaubt:GroupIdOrgRoleIdOrgUnitIdUserId
valuestringerforderlich
principalIsOwnerbooleanerforderlich
propertiesBasicArchitectureProperty[]erforderlich
Eigenschaften anzeigen
Array von BasicArchitectureProperty
metaBasicArchitectureMetaPropertyerforderlich
Eigenschaften anzeigen
keystringerforderlich
labelstring
valuestring
publishedHistory
representationRefId
Eigenschaften anzeigen
typestringerforderlich
specializationstring
validityStateArchitectureValidityStateerforderlich
Erlaubt:DraftInvalidNextUpcomingValid
visibilityVisibilityerforderlich
Eigenschaften anzeigen
lastChangeHistoryerforderlich
visiblebooleanerforderlich
hasChildrenbooleanerforderlich
parentElementIdstring
403

The edition of this process space does not include the element's type

string
404

Element not found

string
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/architectureElements/string/hierarchy/children' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
{
  "nodes": [
    {
      "depth": 0,
      "element": {
        "conceptualClass": "ApplicationCollaboration",
        "created": {
          "at": "string",
          "by": "string"
        },
        "elementId": "string",
        "hasPredecessor": true,
        "id": "string",
        "layer": "ApplicationLayer",
        "modified": {
          "at": "string",
          "by": "string"
        },
        "owners": [
          {
            "type": "GroupId",
            "value": "string"
          }
        ],
        "principalIsOwner": true,
        "properties": [
          {
            "meta": {
              "key": "string",
              "label": "string"
            },
            "value": "string"
          }
        ],
        "published": {
          "at": "string",
          "by": "string"
        },
        "representation": {
          "type": "string"
        },
        "specialization": "string",
        "validityState": "Draft",
        "visibility": {
          "lastChange": {
            "at": "string",
            "by": "string"
          },
          "visible": true
        }
      },
      "hasChildren": true,
      "parentElementId": "string"
    }
  ]
}